import 'package:flutter/material.dart';
import 'package:flutter_wallet/base/YSBase.dart';
import 'package:flutter_wallet/generated/l10n.dart';
import 'package:flutter_wallet/tools/YSColors.dart';
import 'package:flutter_wallet/tools/YSTools.dart';

class YSShare extends StatefulWidget {
  const YSShare({Key? key}) : super(key: key);

  @override
  YSShareState createState() => YSShareState();
}

class YSShareState extends State<YSShare> {
  @override
  Widget build(BuildContext context) {
    return YSBase(
      ysTitle: '邀请好友',
      ysChild: Container(
        height: ysHeight(context)-ysTOP(context)-60,
        width: ysWidth(context),
        decoration: BoxDecoration(
          image: DecorationImage(image: AssetImage(YSColors.imageStyle(context, S.current.FENXIANGTUPIAN)),fit: BoxFit.fill)
        ),
        child: Align(
          child: Padding(
            padding: EdgeInsets.only(top: hsp(300)),
            child: Image.asset(YSColors.imageStyle(context, 'WechatIMG313'),height: hsp(150),width: hsp(150),)
          ),
        )
      ),
    );
  }
}
